/* ctime.c (emx+gcc) -- Copyright (c) 1990-1999 by Eberhard Mattes */

#include <time.h>
#include <emx/time.h>

char *ctime (const time_t *t)
{
  struct tm tmp, *x;

  x = _localtime (&tmp, t);
  if (x == NULL)
    return NULL;
  else
    return asctime (x);
}
